[1.18.x] Updated Fabric Mods

Discussion in 'General Minecraft Discussion' started by wafflecoffee, Dec 19, 2020.

  1. Which of these mods does connected glass textures?
  2. Unoski likes this.
  3. So I encountered several issues with getting my modpack updated to 1.171.x and working (some I was able to bypass), but the final one that was killing the launch for me (I'm using MultiMC btw), was '....has been compiled by a more recent version of the Java Runtime (class file version 60.0)' which ppl seem to be getting after 1.17.x.

    After much frustration trying to update Java and several other things I searched and found a reddit post explaining it, which helped guide my to find my own approach.
    https://www.reddit.com/r/Minecraft/comments/nv92fg/error_while_launcher_a_117_minecraft_server_fix/

    Basically (for MultiMC users on windows) you'll need to do edit instance-->settings. then in the Java installation navigate to something that'll look C:/Program Files (x86)/Minecraft Launcher/runtime/java-runtime-alpha/windows-x64/java-runtime-alpha/bin/javaw.exe.
    *This may be different if you're MC install is newer and under a C:/Program Files (x86)/Microsoft/ folder; but the important part to look for is the javaw.exe under the java-runtime-alpha folder.


    Note:
    I don't understand what exactly Mojang did but it appears to be a hard derp in using a JDK version of the JRE? So 8u301 (the latest stable release) won't cut it. If you have the Java JDK 16 installed you could prob point to the javaw.exe in that but if you have vanilla minecraft installed, doing the above is easier and will save disk space/bloat by not installing a JDK if your not using it. Naturally this should go away once the stable Java release has either this version or a newer JRE one.

    Just figured I'd share this with everybody. :)
  4. Please update your instances to Fabric Loader 0.12.12 or later. I am not going to disclose at this time why exactly, but it is very urgent that everyone does so.

    In other news, I've gotten a 1.18 version of this modpack working rather well! :D I plan to update the main site once EMC updates to 1.18.x, but in the meantime, you may use this pre-launch command in MultiMC to use 1.18:
    Code:
    $INST_JAVA -jar packwiz-installer-bootstrap.jar https://waffle-coffee-git-1181-rc2-emmaffle.vercel.app/packwiz/pack.toml
    That's all for now. :) I've been updating the pack every few days to make sure that everything's on the latest and greatest versions, but I haven't bumped this in a while, so I figured this was a pretty good opportunity to.
  5. I bet I know why
  6. As the update is close, I'm going to change the main branch over to 1.18.1 whenever Iris updates to 1.2.0, or whenever EMC updates (whichever comes first). Be warned. :D
    Fred_TWK and St3rButterfly like this.
  7. This modpack has now updated to 1.18.1. :) Remember to update your instances!
    Eclipsys likes this.
  8. Oeh yes, yes i will.

    Great EMC has this:love: :<3:
    wafflecoffee and St3rButterfly like this.
  9. Yep, emc should have! Long live the emc!
    Eclipsys likes this.
  10. 22w03a update is in progress. Lot more mods broke than I was expecting...
  11. what,s new in it?